Loading...
Searching...
No Matches
_ocsd_extern_dcd_cb_fns Struct Reference
OpenCSD Library : Custom External Decoder C-API

`#include <ocsd_c_api_custom.h>`

Collaboration diagram for _ocsd_extern_dcd_cb_fns:
[legend]

## Public Attributes

fnGenElemOpCB | fn_gen_elem_out
fnLogErrorCB | fn_log_error
fnLogMsgCB | fn_log_msg
fnDecodeArmInstCB | fn_arm_instruction_decode
fnMemAccessCB | fn_memory_access
fnPktMonCB | fn_packet_mon
fnPktDataSinkCB | fn_packet_data_sink
int | packetCBFlags
const void * | lib_context

## Detailed Description

an instance of this is owned by the decoder, filled in by the library - allows the CB fns in the library decode tree to be called.

Definition at line 168 of file ocsd_c_api_custom.h.

## Member Data Documentation

## fn_arm_instruction_decode

fnDecodeArmInstCB _ocsd_extern_dcd_cb_fns::fn_arm_instruction_decode

Callback to decode an ARM instruction.

Definition at line 173 of file ocsd_c_api_custom.h.

## fn_gen_elem_out

fnGenElemOpCB _ocsd_extern_dcd_cb_fns::fn_gen_elem_out

Callback to output a generic element.

Definition at line 170 of file ocsd_c_api_custom.h.

## fn_log_error

fnLogErrorCB _ocsd_extern_dcd_cb_fns::fn_log_error

Callback to output an error.

Definition at line 171 of file ocsd_c_api_custom.h.

## fn_log_msg

fnLogMsgCB _ocsd_extern_dcd_cb_fns::fn_log_msg

Callback to output a message.

Definition at line 172 of file ocsd_c_api_custom.h.

## fn_memory_access

fnMemAccessCB _ocsd_extern_dcd_cb_fns::fn_memory_access

Callback to access memory images related to the trace capture.

Definition at line 174 of file ocsd_c_api_custom.h.

## fn_packet_data_sink

fnPktDataSinkCB _ocsd_extern_dcd_cb_fns::fn_packet_data_sink

Callback to output trace packet to packet sink - if in pack processing only mode.

Definition at line 176 of file ocsd_c_api_custom.h.

## fn_packet_mon

fnPktMonCB _ocsd_extern_dcd_cb_fns::fn_packet_mon

Callback to output trace packet to packet monitor.

Definition at line 175 of file ocsd_c_api_custom.h.

## lib_context

const void* _ocsd_extern_dcd_cb_fns::lib_context

library context pointer - use in callbacks to allow the library to load the correct context data.

Definition at line 180 of file ocsd_c_api_custom.h.

## packetCBFlags

int _ocsd_extern_dcd_cb_fns::packetCBFlags

Flags to indicate if the packet sink / packet monitor callbacks are in use. ( OCSD_CUST_DCD_PKT_CB_USE_MON / OCSD_CUST_DCD_PKT_CB_USE_SINK)

Definition at line 178 of file ocsd_c_api_custom.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-16huoW/libopencsd-1.4.1/decoder/include/opencsd/c_api/ocsd_c_api_custom.h